let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const updateProject = async (
  projectId: string,
  userId: string,
  organization: string,
  thumbnail?: string,
  projectName?: string
) => {
  const body: any = {
    projectId,
    userId,
    organization,
  };

  if (projectName) body.projectName = projectName;
  if (thumbnail) body.thumbnail = thumbnail;

  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/Projects/${projectId}`,
      {
        method: "PATCH",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
        body: JSON.stringify(body),
      }
    );
 
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }
    if (!response.ok) {
      console.error("Failed to clearPanel in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
